#!/bin/bash

########  pour option -f #############
restartExecFromZero=0
while [ $# -gt 0 ]
do
   echo "boucle sur les arguments du script ..."
   echo "@=$@"
   case $1 in
   -f)  restartExecFromZero=1 
        echo "force restart from the beginning ..."
	;;
   esac
   shift
done
export restartExecFromZero=${restartExecFromZero}
######################################

export IGCM_DEM=${SCRATCHDIR}/IGCM_DEM

######### Si l'option -f est activee, on detruit tous les fichiers status  ##########
if [ "x$restartExecFromZero" == "x1" ]
then
    echo "Deleting  all status files ..."
    for CONFIG in $( awk '{print $1}' ${IGCM_DEM}/config_card.liste )
    do
       PATH_SIMU=$( dirname $CONFIG )
       ListStatFileInSimu=`find $PATH_SIMU -type f -name "*status" `
       if [ "x$ListStatFileInSimu" != "x" ]
       then
           for file in $ListStatFileInSimu
           do
              if [ -e $file ]
	      then
	         rm -f $file
	      fi
       
           done      
       fi   
    done
    echo "Deletion done."
fi
#####################################################################################

export JOB_DIR=${LS_SUBCWD:-${PWD}}
export EXE_DIR=${JOB_DIR}
source ${EXE_DIR}/DEM_utilities.sh

############## gpdebug : Pour gestion des erreurs ######################################### 
# Execute la function errorReceive() si reception d'un signal TERM
trap 'DEM_errorReceive' TERM
# liste des processus  dtruire en cas d'erreur bloquante
export listPID=$$
# fichier pour la transmission des messages d'erreur d'un fils au prog principal
export errorMsgFile="${PWD}/errorMsg.txt"
############## gpdebug : fin ############################################################## 

export timeHandlingFile="timeHandlingFile.txt"
> $timeHandlingFile
startTime=$( getDateMilliSeconds )
echo "launch time:$startTime" >> $timeHandlingFile

SCRIPT_NAME=$(basename ${0} )

DEM_log -0 "Demarrage de ${SCRIPT_NAME}"

check_nco_version # gpdebug : verification de la version de nco #######################

ccc_msub -A tgcc0013 launch_and_measureTime.sh



DEM_log -0 "Fin de ${SCRIPT_NAME}"
